## org.apache.poi.hssf.record.aggregates
Class RecordAggregate.PositionTrackingVisitor

    java.lang.Object
      org.apache.poi.hssf.record.aggregates.RecordAggregate.PositionTrackingVisitor

All Implemented Interfaces:
  RecordAggregate.RecordVisitor

Enclosing class:
  RecordAggregate

    public static final class RecordAggregate.PositionTrackingVisitor

extends java.lang.Object
implements RecordAggregate.RecordVisitor

A wrapper for `RecordAggregate.RecordVisitor` which accumulates the sizes of all records visited.

Constructor Summary
`RecordAggregate.PositionTrackingVisitor(RecordAggregate.RecordVisitor rv, int initialPosition)`

Method Summary
`int` `getPosition()`
`void` `setPosition(int position)`
`void` `visitRecord(Record r)` Implementors may call non-mutating methods on Record r.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RecordAggregate.PositionTrackingVisitor

    public RecordAggregate.PositionTrackingVisitor(RecordAggregate.RecordVisitor rv,
                                                   int initialPosition)

Method Detail

### visitRecord

    public void visitRecord(Record r)

  Description copied from interface: `RecordAggregate.RecordVisitor`
  Implementors may call non-mutating methods on Record r.

  Specified by:
    `visitRecord` in interface `RecordAggregate.RecordVisitor`
  Parameters:
    `r` - must not be `null`

### setPosition

    public void setPosition(int position)

### getPosition

    public int getPosition()

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.